#ifndef __UTILITY_H_
#define __UTILITY_H_


#define BIT_READ(value, bit) (((value) >> (bit)) & 0x01)
#define BIT_SET(value, bit) ((value) |= (1UL << (bit)))
#define BIT_CLEAR(value, bit) ((value) &= ~(1UL << (bit)))
#define BIT_WRITE(value, bit, bitvalue) (bitvalue ? BIT_SET(value, bit) : BIT_CLEAR(value, bit))
#define BIT(b) (1UL << (b))


//
void print_binary_byte(uint8_t val);

//
void print_binary_half_word(uint16_t val);

//
void utl_stat_timer_init(void);

//
void print_os_stat(void);


#endif /* __UTILITY_H_ */
